segOverlap {Rgb} | R Documentation

## Merges overlapping segments

### Description

Given a set of segments defined by "chrom", "start", "end" and various data, it merges overlapping or jointive rows.

### Usage

      segOverlap(segTable, fun = list(unique.default, start=min, end=max),
        factorsAsIntegers = TRUE)

### Arguments

`segTable` | A `data.frame` of segments, with at least "chrom", "start" and "end" columns. Standard behavior (default `fun` value) assumes "start" and "end" to be at least `numeric`, preferably `integer`.
`fun` | A `list` of `function`s, defining how to merge values when merging rows. It should contain an unamed element for the default function, and named elements to deal with specific columns.
`factorsAsIntegers` | Single logical value, whether to handle columns of class factor as integers or as is. Using `TRUE` dramatically shortens computation time in default user case ("chrom" column of class factor, "unique" function applied), but `FALSE` may be required to allow non-standard merging functions to access encoded values rather than factor indexes.

### Value

Returns a `data.frame` similar to `segTable`.

### Author(s)

Sylvain Mareschal

### See Also

`segMerge`

[Package Rgb version 1.6.1 Index]